<template>
  <div></div>
</template>

<script>
import { tileLayer } from 'leaflet'

export default {
  name: 'leafletwmssimplelayer',

  props: {
    url: {
      type: String,
    },

    name: {
      type: String,
    },
  },


  computed: {
    leafletMap: {
      get() {
        return this.$parent.leafletMap
      }
    },

    leafletPane: {
      get() {
        return this.$parent.leafletPane
      }
    },

    // The service URL for this layer
    serviceUrl: {
      get() {
        return this.url
      },
    },
  },

  methods: {
    create() {
      this.layerObject = tileLayer.wms(this.serviceUrl, this.getOptions())
      return this.add()
    },

    add() {
      this.layerObject.addTo(this.leafletMap)
      return this
    },

    getOptions() {
      return {
        pane: this.leafletPane.name,
        layers: this.name,
        format: 'image/png',
        transparent: true,
        tileSize: 512,
        version: '1.3.0',
      }
    },
  },

  mounted() {
    this.create()
  },
}
</script>
